import React from "react";
import styled from "styled-components";

const RoundSelectContainer = styled.div`
  display: flex;
  flex-flow: row nowrap;
  justify-content: space-between;
  align-items: center;
  width: 50%;
  margin-bottom: 0.5em;
`;

const RoundSelectButton = styled.div`
  background-color: ${({active}) => active ? "#777" : "#555"};
  width: 2em;
  height: 2em;
  display: flex;
  justify-content: center;
  align-items: center;
`;

export default ({ rounds, roundNum, setRoundNum }) => (
  <RoundSelectContainer>
    { 
      // fun fact: es6 doesn't have a range(x) function
      Array.from(Array(rounds).keys())
        .map(r => (r + 1).toString())
        .map(r => <RoundSelectButton active={r === roundNum} key={r} onClick={() => setRoundNum(r)}>{r}</RoundSelectButton>)
    }
  </RoundSelectContainer>
);
